sh_syscalls.d(1m)

NAME
sh_syscalls.d - count Bourne calls and syscalls using DTrace.

SYNOPSIS
sh_syscalls.d { -p PID | -c cmd }

DESCRIPTION
Filename and function names are printed if available. The filename for syscalls may be printed as the shell name, if the script was invoked using the form "shell filename" rather than running the script with an interpreter line.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_syscalls.d

FIELDS

FILE
    Filename of the shell or shellscript

TYPE
    Type of call (func/builtin/cmd/syscall)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_syscalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)